## org.apache.mahout.common.parameters
Class DoubleParameter

    java.lang.Object
      org.apache.mahout.common.parameters.AbstractParameter<Double>
          org.apache.mahout.common.parameters.DoubleParameter

All Implemented Interfaces:
  Parameter<Double>, Parametered

    public class DoubleParameter

extends AbstractParameter<Double>

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.mahout.common.parameters.Parametered
`Parametered.ParameteredGeneralizations`

Field Summary

Fields inherited from interface org.apache.mahout.common.parameters.Parametered
`log`

Constructor Summary
`DoubleParameter(String prefix, String name, org.apache.hadoop.conf.Configuration conf, double defaultValue, String description)`

Method Summary
`void` `setStringValue(String stringValue)`

Methods inherited from class org.apache.mahout.common.parameters.AbstractParameter
`configure, createParameters, defaultValue, description, get, getParameters, getStringValue, name, prefix, set, toString, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DoubleParameter

    public DoubleParameter(String prefix,
                           String name,
                           org.apache.hadoop.conf.Configuration conf,
                           double defaultValue,
                           String description)

Method Detail

### setStringValue

    public void setStringValue(String stringValue)

  Parameters:
    `stringValue` - value string representation

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.